config:
    config:
        pim/controller-registry:
            controllers:
                webkul_prestashop_connector_configuration: #Router for above module
                    module: webkul/prestashopconnector/controller/configuration     #Module

                webkul_prestashop_connector_configuration_export_mapping_index: #Router for above module
                    module: webkul/prestashopconnector/controller/configuration/exportmapping/index    #Module
                wk_prestashop_credentials_edit:
                    module: webkul/prestashopconnector/configuration/credentials/edit
                    
        pim/fetcher-registry:
            fetchers: 
                prestashop-attribute:
                    module: pim/base-fetcher
                    options:
                        urls:
                            list: webkul_prestashop_connector_configuration_prestashop_attribute_get
                
                prestashop-feature:
                    module: pim/base-fetcher
                    options:
                        urls:
                            list: webkul_prestashop_connector_configuration_prestashop_feature_get

                prestashop-category:
                    module: pim/base-fetcher
                    options:
                        urls:
                            list: webkul_prestashop_connector_configuration_prestashop_category_get
                
                akeneo-prestashop-history-class:
                    module: pim/base-fetcher
                    options:
                        urls:
                            list: webkul_prestashop_get_history_class

                akeneo-category:
                    module: pim/base-fetcher
                    options:
                        urls:
                            list: webkul_prestashop_connector_configuration_akeneo_category_get
                
                prestashop-credentials:
                    module: pim/base-fetcher
                    options:
                        urls:
                            list: wk_prestashop_credentials_get_all

                prestashop-get-version:
                    module: pim/base-fetcher
                    options:
                        urls:
                            list: webkul_prestashop_connector_configuration_get_version
          
                
        webkul/prestashopconnector/form/configuration/save:
            route: webkul_prestashop_connector_configuration_post

    paths:
        # Controller
        webkul/prestashopconnector/controller/configuration:                     prestashopconnector/js/controller/configuration/configuration
        webkul/prestashopconnector/controller/configuration/exportmapping/index: prestashopconnector/js/controller/configuration/export_mapping/index

        # Forms
        webkul/prestashopconnector/form/configuration/tab/credential:                     prestashopconnector/js/form/configuration/tab/credential
        webkul/prestashopconnector/form/configuration/tab/default:                        prestashopconnector/js/form/configuration/tab/default
        webkul/prestashopconnector/form/configuration/tab/documentation:                  prestashopconnector/js/form/configuration/tab/documentation
        webkul/prestashopconnector/form/configuration/tab/mapping:                        prestashopconnector/js/form/configuration/tab/mapping
        webkul/prestashopconnector/form/configuration/tab/association:                    prestashopconnector/js/form/configuration/tab/association
        webkul/prestashopconnector/form/configuration/save:                               prestashopconnector/js/form/configuration/save
        webkul/prestashopconnector/form/configuration:                                    prestashopconnector/js/form/configuration/configuration
        webkul/prestashopconnector/form/configuration/exportmapping/modal:                prestashopconnector/js/form/configuration/export_mapping/modal
        webkul/prestashopconnector/form/configuration/exportmapping/type:                 prestashopconnector/js/form/configuration/export_mapping/type
        webkul/prestashopconnector/form/configuration/exportmapping/attribute/prestashop: prestashopconnector/js/form/configuration/export_mapping/attribute/prestashop
        webkul/prestashopconnector/form/configuration/exportmapping/feature/prestashop:   prestashopconnector/js/form/configuration/export_mapping/feature/prestashop
        webkul/prestashopconnector/form/configuration/exportmapping/attribute/akeneo:     prestashopconnector/js/form/configuration/export_mapping/attribute/akeneo
        webkul/prestashopconnector/form/configuration/exportmapping/category/prestashop:  prestashopconnector/js/form/configuration/export_mapping/category/prestashop
        webkul/prestashopconnector/form/configuration/exportmapping/category/akeneo:      prestashopconnector/js/form/configuration/export_mapping/category/akeneo
        webkul/prestashopconnector/job/common/edit/credentials:                           prestashopconnector/js/job/common/edit/credentials
        webkul/prestashopconnector/configuration/credentials/edit:                        prestashopconnector/js/form/configuration/credentials/edit
        webkul/prestashopconnector/form/configuration/create/modal:                       prestashopconnector/js/form/configuration/create/modal
        webkul/prestashopconnector/form/configuration/create/form:                        prestashopconnector/js/form/configuration/create/form
        webkul/prestashopconnector/form/configuration/tab/storeMapping:                   prestashopconnector/js/form/configuration/tab/storeMapping
        webkul/prestashopconnector/history/class:                                         prestashopconnector/js/job/common/history
        webkul/prestashopconnector/job/export/jobcredential:                              prestashopconnector/js/job/common/jobcredential
        oro/datafilter/search-filter:                                                     prestashopconnector/js/form/configuration/filter/search
        # Templates
        webkul/prestashopconnector/template/configuration/tab/credential:                     prestashopconnector/templates/form/configuration/tab/credential.html
        webkul/prestashopconnector/template/configuration/tab/association:                    prestashopconnector/templates/form/configuration/tab/association.html
        webkul/prestashopconnector/template/configuration/tab/default:                        prestashopconnector/templates/form/configuration/tab/default.html
        webkul/prestashopconnector/template/configuration/tab/credential-datagrid:                       prestashopconnector/templates/form/configuration/tab/data-grid-template.html
        webkul/prestashopconnector/template/configuration/tab/mapping:                        prestashopconnector/templates/form/configuration/tab/mapping.html
        webkul/prestashopconnector/template/configuration/tab/documentation:                  prestashopconnector/templates/form/configuration/tab/documentation.html
        webkul/prestashopconnector/template/configuration/exportmapping/type:                 prestashopconnector/templates/form/configuration/export_mapping/type.html
        webkul/prestashopconnector/template/configuration/exportmapping/attribute/prestashop: prestashopconnector/templates/form/configuration/export_mapping/attribute/prestashop.html
        webkul/prestashopconnector/template/configuration/exportmapping/feature/prestashop:   prestashopconnector/templates/form/configuration/export_mapping/feature/prestashop.html
        webkul/prestashopconnector/template/configuration/exportmapping/attribute/akeneo:     prestashopconnector/templates/form/configuration/export_mapping/attribute/akeneo.html
        webkul/prestashopconnector/template/configuration/exportmapping/category/prestashop:  prestashopconnector/templates/form/configuration/export_mapping/category/prestashop.html
        webkul/prestashopconnector/template/configuration/exportmapping/category/akeneo:      prestashopconnector/templates/form/configuration/export_mapping/category/akeneo.html
        webkul/prestashopconnector/template/job/common/edit/credentials:                      prestashopconnector/templates/job/common/edit/credentials.html
        webkul/prestashopconnector/template/configuration/currencies:                         prestashopconnector/templates/form/configuration/currencies.html
        webkul/prestashopconnector/template/job/common/edit/switch:                           prestashopconnector/templates/job/common/edit/switch.html
        webkul/prestashopconnector/template/configuration/tab/storeMapping:                   prestashopconnector/templates/form/configuration/tab/storeMapping.html
        webkul/prestashopconnector/template/configuration/version:                            prestashopconnector/templates/form/configuration/version.html
        
        #other
        webkul/prestashopconnector/form/configuration/version:    prestashopconnector/js/form/configuration/version
        webkul/prestashopconnector/form/configuration/currencies: prestashopconnector/js/form/configuration/currencies
        webkul/prestashopconnector/js/job/common/edit/switch:     prestashopconnector/js/job/common/edit/switch
        oro/datagrid/wk_presta_export_mapping_delete-action:      prestashopconnector/js/akeneo4/export-mapping-delete

        # support tab
        prestashop/form/configuration/tab/support: prestashopconnector/js/form/configuration/tab/support
        prestashop/template/configuration/tab/support: prestashopconnector/templates/form/configuration/tab/support.html

        